Subject: rsh and -n option vs < /dev/null redirection
From: "Vincent Legoll" <[email-masked]>
To: <[email-masked]>
Cc: "Vincent Legoll" <[email-masked]>
Date: Wed, 24 Oct 2001 18:19:48 +0200

Hello all,

I'm using cygwin at work to run our build chain (bash + make + rsh +
etc...)

what I'm doing in a makefile under cygwin/win32 is something like this :

RemoteLoop:
    for host in linux win32 solaris; do \
      rsh -l build $$host 'make aTarget VAR1=VAL1' > aFile.txt 2>&1 & \
    done

I've fought a long time finding why I was receiving "broken pipe" error
messages
from remote makes. I read messages from your mailing list and begun to
suspect
a redirection problem from the rsh command, so I tried -n option with no
success
whereas redirecting rsh's input to /dev/null worked !!!
While reading rsh's man page, I thought "-n" or "< /dev/null" would do the
same,
but it appears not to be the case...

Does this scenario make any sense for you ?

Perhaps this should be a rsh bug report and not related to cygwin at all...
Could you CC me your replies since I'm not subscribed to this list, thanks.

--
Vincent Legoll - CM engineer - Peregrine Systems R&D France
[email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/